Skip to content

GET /api/v3/data-source-providers/{lcuid}/field-map

Summary

GET data-source-providers/{id}/field-map

Description

Return a field map of the macros provided by the data source provider

Tags: data-source-providers

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean): Indicates whether the request was successful or not
  • field_map (object) Type: object

Properties:

  • account.store.SampleWeatherDataFeedProvider41_feed_last_run_had_errors (object) Type: object

    Properties:

    • id (string)
    • object (string)
    • object_name (string)
    • description (string)
    • group_id (string)
    • group_name (string)
    • group_parent_id (string)
    • class (string)
    • property (string)
    • macro (string)
    • macroCode (string)
    • name (string)
    • placeholder (string)
    • type (string)
    • defaultClasses (string)
    • defaultCss (string)
    • show (boolean)
    • enum (boolean)
    • enum_type (string)
    • enum_options (array)
  • account.store.SampleWeatherDataFeedProvider41_feed_last_run_was_success (object) Type: object

    Properties:

    • id (string)
    • object (string)
    • object_name (string)
    • description (string)
    • group_id (string)
    • group_name (string)
    • group_parent_id (string)
    • class (string)
    • property (string)
    • macro (string)
    • macroCode (string)
    • name (string)
    • placeholder (string)
    • type (string)
    • defaultClasses (string)
    • defaultCss (string)
    • show (boolean)
    • enum (boolean)
    • enum_type (string)
    • enum_options (array)
  • account.store.SampleWeatherDataFeedProvider41_feed_last_succesful_run_at (object) Type: object

    Properties:

    • id (string)
    • object (string)
    • object_name (string)
    • description (string)
    • group_id (string)
    • group_name (string)
    • group_parent_id (string)
    • class (string)
    • property (string)
    • macro (string)
    • macroCode (string)
    • name (string)
    • placeholder (string)
    • type (string)
    • defaultClasses (string)
    • defaultCss (string)
    • show (boolean)
    • enum (boolean)
    • enum_type (string)
    • enum_options (array)
  • digital_board.store.current_templ (object) Type: object

    Properties:

    • id (string)
    • object (string)
    • object_name (string)
    • description (string)
    • group_id (string)
    • group_name (string)
    • group_parent_id (string)
    • class (string)
    • property (string)
    • macro (string)
    • macroCode (string)
    • name (string)
    • placeholder (string)
    • type (string)
    • defaultClasses (string)
    • defaultCss (string)
    • show (boolean)
    • enum (boolean)
    • enum_type (string)
    • enum_options (array)
  • digital_board.store.current_weather_condition (object) Type: object

    Properties:

    • id (string)
    • object (string)
    • object_name (string)
    • description (string)
    • group_id (string)
    • group_name (string)
    • group_parent_id (string)
    • class (string)
    • property (string)
    • macro (string)
    • macroCode (string)
    • name (string)
    • placeholder (string)
    • type (string)
    • defaultClasses (string)
    • defaultCss (string)
    • show (boolean)
    • enum (boolean)
    • enum_type (string)
    • enum_options (array)
    • Array items: object Type: object

      Properties:

      • label (string)
      • value (string)
Example Response
{
    "success": true,
    "field_map": {
        "account.store.SampleWeatherDataFeedProvider41_feed_last_run_had_errors": {
            "id": "account_store_SampleWeatherDataFeedProvider41_feed_last_run_had_errors",
            "object": "key_value_store",
            "object_name": "Data",
            "description": "Indicates whether this data source had errors during its last run",
            "group_id": "sample_weather_data_feed_provider",
            "group_name": "Sample Weather Data Feed Provider",
            "group_parent_id": null,
            "class": "App\\InventoryFeedProvider",
            "property": "account.store.SampleWeatherDataFeedProvider41_feed_last_run_had_errors",
            "macro": "account.store.SampleWeatherDataFeedProvider41_feed_last_run_had_errors",
            "macroCode": "{account.store.SampleWeatherDataFeedProvider41_feed_last_run_had_errors}",
            "name": "Sample Weather Data Feed Provider41 Feed Last Run Had Errors",
            "placeholder": "Sample Weather Data Feed Provider41 Feed Last Run Had Errors",
            "type": "text",
            "defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
            "defaultCss": "",
            "show": true,
            "enum": false,
            "enum_type": "none",
            "enum_options": []
        },
        "account.store.SampleWeatherDataFeedProvider41_feed_last_run_was_success": {
            "id": "account_store_SampleWeatherDataFeedProvider41_feed_last_run_was_success",
            "object": "key_value_store",
            "object_name": "Data",
            "description": "Indicates whether the last feed run was successful",
            "group_id": "sample_weather_data_feed_provider",
            "group_name": "Sample Weather Data Feed Provider",
            "group_parent_id": null,
            "class": "App\\InventoryFeedProvider",
            "property": "account.store.SampleWeatherDataFeedProvider41_feed_last_run_was_success",
            "macro": "account.store.SampleWeatherDataFeedProvider41_feed_last_run_was_success",
            "macroCode": "{account.store.SampleWeatherDataFeedProvider41_feed_last_run_was_success}",
            "name": "Sample Weather Data Feed Provider41 Feed Last Run Was Success",
            "placeholder": "Sample Weather Data Feed Provider41 Feed Last Run Was Success",
            "type": "text",
            "defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
            "defaultCss": "",
            "show": true,
            "enum": false,
            "enum_type": "none",
            "enum_options": []
        },
        "account.store.SampleWeatherDataFeedProvider41_feed_last_succesful_run_at": {
            "id": "account_store_SampleWeatherDataFeedProvider41_feed_last_succesful_run_at",
            "object": "key_value_store",
            "object_name": "Data",
            "description": "Timestamp of the last successful feed run",
            "group_id": "sample_weather_data_feed_provider",
            "group_name": "Sample Weather Data Feed Provider",
            "group_parent_id": null,
            "class": "App\\InventoryFeedProvider",
            "property": "account.store.SampleWeatherDataFeedProvider41_feed_last_succesful_run_at",
            "macro": "account.store.SampleWeatherDataFeedProvider41_feed_last_succesful_run_at",
            "macroCode": "{account.store.SampleWeatherDataFeedProvider41_feed_last_succesful_run_at}",
            "name": "Sample Weather Data Feed Provider41 Feed Last Succesful Run At",
            "placeholder": "Sample Weather Data Feed Provider41 Feed Last Succesful Run At",
            "type": "text",
            "defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
            "defaultCss": "",
            "show": true,
            "enum": false,
            "enum_type": "none",
            "enum_options": []
        },
        "digital_board.store.current_templ": {
            "id": "digital_board_store_current_templ",
            "object": "key_value_store",
            "object_name": "Data",
            "description": "",
            "group_id": "sample_weather_data_feed_provider",
            "group_name": "Sample Weather Data Feed Provider",
            "group_parent_id": null,
            "class": "App\\InventoryFeedProvider",
            "property": "digital_board.store.current_templ",
            "macro": "digital_board.store.current_templ",
            "macroCode": "{digital_board.store.current_templ}",
            "name": "Current Templ",
            "placeholder": "Current Templ",
            "type": "text",
            "defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
            "defaultCss": "",
            "show": true,
            "enum": false,
            "enum_type": "none",
            "enum_options": []
        },
        "digital_board.store.current_weather_condition": {
            "id": "digital_board_store_current_weather_condition",
            "object": "key_value_store",
            "object_name": "Data",
            "description": "",
            "group_id": "sample_weather_data_feed_provider",
            "group_name": "Sample Weather Data Feed Provider",
            "group_parent_id": null,
            "class": "App\\InventoryFeedProvider",
            "property": "digital_board.store.current_weather_condition",
            "macro": "digital_board.store.current_weather_condition",
            "macroCode": "{digital_board.store.current_weather_condition}",
            "name": "Current Weather Condition",
            "placeholder": "Current Weather Condition",
            "type": "text",
            "defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
            "defaultCss": "",
            "show": true,
            "enum": true,
            "enum_type": "strict",
            "enum_options": [
                {
                    "label": "Sunny",
                    "value": "sunny"
                },
                {
                    "label": "Cloudy",
                    "value": "cloudy"
                },
                {
                    "label": "Rainy",
                    "value": "rainy"
                }
            ]
        }
    }
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190/field-map" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190/field-map"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190/field-map',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/data-source-providers/LCUID-LFP-506fc585-77be-11ec-acb9-c2cdb617d190/field-map'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to data-source-providers index | Back to main index